aboutsummaryrefslogtreecommitdiffhomepage
path: root/debian/notmuch-emacs.emacsen-remove
diff options
context:
space:
mode:
authorGravatar David Bremner <david@tethera.net>2014-06-14 07:50:52 -0300
committerGravatar David Bremner <david@tethera.net>2014-06-14 08:53:56 -0300
commit435cd249a014b37ecfedf4d38a3a6b6471c2730a (patch)
tree67c6a37e94626d2692d3275917aa310a4f771bf8 /debian/notmuch-emacs.emacsen-remove
parent17e3ef18ae416e5f1a829023983aa08a76f14841 (diff)
debian: update notmuch-emacs for emacsen-common 2.0.8
- redo install/remove scripts from new samples - symlink .el files properly - add depends instead of conflicts
Diffstat (limited to 'debian/notmuch-emacs.emacsen-remove')
-rwxr-xr-xdebian/notmuch-emacs.emacsen-remove34
1 files changed, 30 insertions, 4 deletions
diff --git a/debian/notmuch-emacs.emacsen-remove b/debian/notmuch-emacs.emacsen-remove
index 3b433ae2..a5553209 100755
--- a/debian/notmuch-emacs.emacsen-remove
+++ b/debian/notmuch-emacs.emacsen-remove
@@ -1,8 +1,34 @@
-#!/bin/sh -e
-# /usr/lib/emacsen-common/packages/remove/notmuch-emacs
+#!/bin/sh
+# /usr/lib/emacsen-common/packages/remove/notmuch
+
+set -e
FLAVOR=$1
PACKAGE=notmuch
+elc_dir=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+case "${FLAVOR}" in
+ emacs)
+ return 0
+ ;;
+ xemacs*|emacs2[12])
+ # patches welcome.
+ echo install/${PACKAGE}: skipping removal for unsupported emacsen flavor ${FLAVOR}
+ exit 0
+ ;;
+ *)
+ echo remove/${PACKAGE}: Handling removal for emacsen flavor ${FLAVOR}
+esac
+
+echo remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR}
+
+echo emacsen-common: purging byte-compiled files for ${FLAVOR}
+rm -f ${elc_dir}/*.elc
+rm -f ${elc_dir}/*.el
+rm -f ${elc_dir}/Install.log*
+if test -e "${elc_dir}"
+then
+ rmdir --ignore-fail-on-non-empty "${elc_dir}"
+fi
-echo remove/${PACKAGE}: purging byte-compiled files for ${FLAVOR}
-rm -rf /usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+exit 0;